CMSIS-DSP: arm_linear_interp_instance_f32 Struct Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_linear_interp_instance_f32 Struct Reference

Instance structure for the floating-point Linear Interpolate function. More...

## Data Fields

uint32_t | nValues
float32_t | x1
float32_t | xSpacing
float32_t * | pYData

## Description

Examples:
  arm_linear_interp_example_f32.c.

## Field Documentation

uint32_t nValues

nValues

float32_t* pYData

pointer to the table of Y values

float32_t x1

x1

float32_t xSpacing

xSpacing